読者です 読者をやめる 読者になる 読者になる

もぐてっく

人は1つ歳を取る度、1ビットづつ大きくなれると信じてた。

Ruby Installer 2.2でmikutter on Windowsする方法

2015/12/51:無事1.6.7が正式版になり、Ruby Installer 2.2.3でmikutterが動くようになりました。

8/31にnokogiriの1.6.7.rc2がRubyGemに登録されました。

このバージョンからRuby Installer 2.2に対応した拡張モジュールが含まれるようになるため、Ruby2.2でもmikutter on Windowsが動く様になります。

しかしながらこのバージョンはリリース候補版であり、最新版として自動的にインストールされません。
正式版に昇格するまで待つのが無難ですが、どうしてもという方は下記の手順で流行を先取りしましょう。

(1)photo_supportのGemfileを書き換える。

mikutter/core/plugin/photo_support/Gemfile

source 'https://rubygems.org'

gem 'nokogiri', '~> 1.6.7.rc2'   ← バージョンを決め打ちする。
gem 'httpclient'

(2)mikutterディレクトリのGemfile.lockを削除する。

(3)もっかいmikutter-windowsのsetup.rbを実行する。

以上です。

リーダブルコード ―より良いコードを書くためのシンプルで実践的なテクニック (Theory in practice)

リーダブルコード ―より良いコードを書くためのシンプルで実践的なテクニック (Theory in practice)